Package org.eclipse.birt.report.model.api.command

# Class CircularExtendsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException
org.eclipse.birt.report.model.api.activity.SemanticException
org.eclipse.birt.report.model.api.command.ExtendsException
org.eclipse.birt.report.model.api.command.CircularExtendsException

All Implemented Interfaces:
  `Serializable`

public class CircularExtendsException extends ExtendsException
An error indicates circular extension while setting the extends property of an element.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESIGN_EXCEPTION_CIRCULAR`
The extension would create a cycle: a extends b extends a.
`static final String`
`DESIGN_EXCEPTION_SELF_EXTEND`
The element cannot extend from itself.

### Fields inherited from class org.eclipse.birt.report.model.api.command.ExtendsException

`DESIGN_EXCEPTION_CANT_EXTEND, DESIGN_EXCEPTION_EXTENDS_FORBIDDEN, DESIGN_EXCEPTION_NO_PARENT, DESIGN_EXCEPTION_PARENT_NOT_FOUND, DESIGN_EXCEPTION_PARENT_NOT_IN_COMPONENT, DESIGN_EXCEPTION_PARENT_NOT_INCLUDE, DESIGN_EXCEPTION_UNNAMED_PARENT, DESIGN_EXCEPTION_WRONG_EXTENSION_TYPE, DESIGN_EXCEPTION_WRONG_TYPE, extendsName, parent`

### Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

### Fields inherited from class org.eclipse.birt.report.model.api.ModelException

`PLUGIN_ID`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`CircularExtendsException(org.eclipse.birt.report.model.core.DesignElement obj, String name, String errCode)`
Constructor.
`CircularExtendsException(org.eclipse.birt.report.model.core.DesignElement obj, org.eclipse.birt.report.model.core.DesignElement parent, String errCode)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalizedMessage()`

### Methods inherited from class org.eclipse.birt.report.model.api.command.ExtendsException

`getExtends`

### Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`getElement, getElementName, getMessage`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DESIGN_EXCEPTION_SELF_EXTEND

public static final String DESIGN_EXCEPTION_SELF_EXTEND
The element cannot extend from itself.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_CIRCULAR

public static final String DESIGN_EXCEPTION_CIRCULAR
The extension would create a cycle: a extends b extends a.

See Also:
  - Constant Field Values

## Constructor Details

### CircularExtendsException

public CircularExtendsException(org.eclipse.birt.report.model.core.DesignElement obj, String name, String errCode)
Constructor.

Parameters:
  `obj` - the element being changed.
  `name` - the value being set for the extends property.
  `errCode` - what went wrong.

### CircularExtendsException

public CircularExtendsException(org.eclipse.birt.report.model.core.DesignElement obj, org.eclipse.birt.report.model.core.DesignElement parent, String errCode)
Constructor.

Parameters:
  `obj` - the element being changed.
  `parent` - the parent element.
  `errCode` - what went wrong.

## Method Details

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `ExtendsException`